%define revision 714236

%define use_enable_pie 1
%{?_no_enable_pie: %{expand: %%global use_enable_pie 0}}

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%define branch 1
%{?_branch: %{expand: %%global branch 1}}

%if %unstable
%define dont_strip 1
%endif

Name: kdeedu4
Summary: K Desktop Environment
Version: 3.93.0
Release: %mkrel 0.%revision.1
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org
%if %branch
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeedu-%version.%revision.tar.bz2
%else
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeedu-%version.tar.bz2
%endif
Patch0: kdeedu-3.92.0-ncurses.patch
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires: jpeg-devel 
BuildRequires: png-devel 
BuildRequires: libimlib-devel 
BuildRequires: libtiff-devel
BuildRequires: python-devel
BuildRequires: boost-devel
BuildRequires: facile
BuildRequires: ocaml
BuildRequires: zlib-devel 
BuildRequires: bzip2-devel
BuildRequires: gettext texinfo
BuildRequires: kdelibs4-devel
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: OpenEXR-devel
BuildRequires: cfitsio-devel
BuildRequires: eigen-devel >= 1.0.5
BuildRequires: openbabel-devel >= 2.1
BuildRequires: libusb-devel
BuildRequires: ncurses-devel
BuildRequires: libreadline-devel
Requires: kde4-blinken
Requires: kde4-kalgebra
Requires: kde4-kalzium
Requires: kde4-kanagram
Requires: kde4-kbruch
Requires: kde4-kgeography
Requires: kde4-khangman
Requires: kde4-kig
Requires: kde4-kiten
Requires: kde4-klettres
Requires: kde4-kmplot
Requires: kde4-kpercentage
Requires: kde4-kstars
Requires: kde4-ktouch
Requires: kde4-kturtle
Requires: kde4-parley
Requires: kde4-kwordquiz
Requires: kde4-marble

%description
%{name} metapackage.

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package core
Summary: %name core files
Group: Graphical desktop/KDE
Requires: kdelibs4-core

%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_iconsdir/*/*/*/*
%_kde_appsdir/libkdeedu

#----------------------------------------------------------------------

%package -n kde4-blinken
Summary: %{name} blinken
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-blinken < 3.93.0-0.714236.1

%description -n kde4-blinken
%{name} blinken.

%files -n kde4-blinken
%defattr(-,root,root)
%_kde_appsdir/blinken
%_kde_bindir/blinken
%_kde_datadir/applications/kde4/blinken.desktop
%_kde_datadir/config.kcfg/blinken.kcfg
%_kde_docdir/HTML/*/blinken

#---------------------------------------------

%package -n kde4-kalgebra
Summary: %{name} kalgebra
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kalgebra < 3.93.0-0.714236.1

%description -n kde4-kalgebra
%{name} kalgebra.

%files -n kde4-kalgebra
%defattr(-,root,root)
%_kde_bindir/kalgebra
%_kde_bindir/calgebra
%_kde_datadir/applications/kde4/kalgebra.desktop
%_kde_docdir/HTML/*/kalgebra

#---------------------------------------------

%package -n kde4-kalzium
Summary: %{name} kalzium
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kalzium < 3.93.0-0.714236.1

%description -n kde4-kalzium
%{name} kalzium.

%files -n kde4-kalzium
%defattr(-,root,root)
%_kde_appsdir/kalzium
%_kde_bindir/kalzium
%_kde_libdir/avogadro-kalzium/engines/libbsdyengine-kalzium.so
%_kde_libdir/avogadro-kalzium/engines/liblabelengine-kalzium.so
%_kde_libdir/avogadro-kalzium/engines/libsphereengine-kalzium.so
%_kde_libdir/avogadro-kalzium/engines/libstickengine-kalzium.so
%_kde_libdir/avogadro-kalzium/engines/libwireengine-kalzium.so
%_kde_libdir/avogadro-kalzium/tools/libnavigatetool-kalzium.so
%_kde_libdir/kde4/plugins/designer/kalziumuiwidgets.so
%_kde_datadir/applications/kde4/kalzium.desktop
%_kde_datadir/config.kcfg/kalzium.kcfg
%_kde_docdir/HTML/*/kalzium

#---------------------------------------------

%define libcompoundviewer %mklibname compoundviewer 4

%package -n %libcompoundviewer
Summary: KDE 4 library
Group: System/Libraries

%description -n %libcompoundviewer
KDE 4 library

%post -n %libcompoundviewer -p /sbin/ldconfig
%postun -n %libcompoundviewer -p /sbin/ldconfig

%files -n %libcompoundviewer
%defattr(-,root,root)
%_kde_libdir/libcompoundviewer.so.*

#---------------------------------------------

%define libavogadro_kalzium %mklibname avogadro-kalzium 4

%package -n %libavogadro_kalzium
Summary: KDE 4 library
Group: System/Libraries

%description -n %libavogadro_kalzium
KDE 4 library

%post -n %libavogadro_kalzium -p /sbin/ldconfig
%postun -n %libavogadro_kalzium -p /sbin/ldconfig

%files -n %libavogadro_kalzium
%defattr(-,root,root)
%_kde_libdir/libavogadro-kalzium.so.*

#---------------------------------------------

%package -n kde4-kanagram
Summary: %{name} kanagram
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kanagram < 3.93.0-0.714236.1

%description -n kde4-kanagram
%{name} kanagram.

%files -n kde4-kanagram
%defattr(-,root,root)
%_kde_appsdir/kvtml
%_kde_appsdir/kanagram
%_kde_bindir/kanagram
%_kde_datadir/applications/kde4/kanagram.desktop
%_kde_datadir/config.kcfg/kanagram.kcfg
%_kde_datadir/config/kanagram.knsrc
%_kde_docdir/HTML/*/kanagram

#---------------------------------------------

%package -n kde4-kbruch
Summary: %{name} kbruch
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kbruch < 3.93.0-0.714236.1

%description -n kde4-kbruch
%{name} kbruch.

%files -n kde4-kbruch
%defattr(-,root,root)
%_kde_appsdir/kbruch
%_kde_bindir/kbruch
%_kde_datadir/applications/kde4/kbruch.desktop
%_kde_datadir/config.kcfg/kbruch.kcfg
%_kde_docdir/HTML/*/kbruch

#---------------------------------------------

%package -n kde4-kgeography
Summary: %{name} kgeography
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kgeography < 3.93.0-0.714236.1

%description -n kde4-kgeography
%{name} kgeography.

%files -n kde4-kgeography
%defattr(-,root,root)
%_kde_appsdir/kgeography
%_kde_bindir/kgeography
%_kde_datadir/applications/kde4/kgeography.desktop
%_kde_datadir/config.kcfg/kgeography.kcfg
%_kde_docdir/HTML/*/kgeography

#---------------------------------------------

%package -n kde4-khangman
Summary: %{name} khangman
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-khangman < 3.93.0-0.714236.1

%description -n kde4-khangman
%{name} khangman.

%files -n kde4-khangman
%defattr(-,root,root)
%_kde_appsdir/khangman
%_kde_bindir/khangman
%_kde_datadir/applications/kde4/khangman.desktop
%_kde_datadir/config.kcfg/khangman.kcfg
%_kde_datadir/config/khangman.knsrc
%_kde_docdir/HTML/*/khangman

#---------------------------------------------

%package -n kde4-kig
Summary: %{name} kig
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kig < 3.93.0-0.714236.1

%description -n kde4-kig
%{name} kig.

%files -n kde4-kig
%defattr(-,root,root)
%_kde_appsdir/kig
%_kde_bindir/kig
%_kde_bindir/pykig.py
%_kde_libdir/kde4/libkigpart.so
%_kde_datadir/applications/kde4/kig.desktop
%_kde_datadir/kde4/services/kig_part.desktop
%_kde_docdir/HTML/*/kig

#---------------------------------------------

%package -n kde4-kiten
Summary: %{name} kiten
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kiten < 3.93.0-0.714236.1

%description -n kde4-kiten
%{name} kiten.

%files -n kde4-kiten
%defattr(-,root,root)
%_kde_appsdir/kiten
%_kde_appsdir/kitenradselect
%_kde_bindir/kiten
%_kde_bindir/kitengen
%_kde_bindir/kitenradselect
%_kde_datadir/applications/kde4/kiten.desktop
%_kde_datadir/applications/kde4/radselect.desktop
%_kde_datadir/config.kcfg/kiten.kcfg
%_kde_docdir/HTML/*/kiten

#---------------------------------------------

%define libkiten %mklibname kiten 4

%package -n %libkiten
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkiten
KDE 4 library

%post -n %libkiten -p /sbin/ldconfig
%postun -n %libkiten -p /sbin/ldconfig

%files -n %libkiten
%defattr(-,root,root)
%_kde_libdir/libkiten.so.*

#---------------------------------------------

%package -n kde4-klettres
Summary: %{name} klettres
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-klettres < 3.93.0-0.714236.1

%description -n kde4-klettres
%{name} klettres.

%files -n kde4-klettres
%defattr(-,root,root)
%_kde_appsdir/klettres
%_kde_bindir/klettres
%_kde_datadir/applications/kde4/klettres.desktop
%_kde_datadir/config.kcfg/klettres.kcfg
%_kde_datadir/config/klettres.knsrc
%_kde_docdir/HTML/*/klettres

#---------------------------------------------

%package -n kde4-kmplot
Summary: %{name} kmplot
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kmplot < 3.93.0-0.714236.1

%description -n kde4-kmplot
%{name} kmplot.

%files -n kde4-kmplot
%defattr(-,root,root)
%_kde_appsdir/kmplot
%_kde_bindir/kmplot
%_kde_libdir/kde4/libkmplotpart.so
%_kde_datadir/applications/kde4/kmplot.desktop
%_kde_datadir/config.kcfg/kmplot.kcfg
%_kde_datadir/kde4/services/kmplot_part.desktop
%_datadir/dbus-1/interfaces/org.kde.kmplot.KmPlot.xml
%_datadir/dbus-1/interfaces/org.kde.kmplot.MainDlg.xml
%_datadir/dbus-1/interfaces/org.kde.kmplot.Parser.xml
%_datadir/dbus-1/interfaces/org.kde.kmplot.View.xml
%_kde_docdir/HTML/*/kmplot

#---------------------------------------------

%package -n kde4-kpercentage
Summary: %{name} kpercentage
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kpercentage < 3.93.0-0.714236.1

%description -n kde4-kpercentage
%{name} kpercentage.

%files -n kde4-kpercentage
%defattr(-,root,root)
%_kde_appsdir/kpercentage
%_kde_bindir/kpercentage
%_kde_datadir/applications/kde4/kpercentage.desktop
%_kde_docdir/HTML/*/kpercentage

#---------------------------------------------

%package -n kde4-kstars
Summary: %{name} kstars
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kstars < 3.93.0-0.714236.1

%description -n kde4-kstars
%{name} kstars.

%files -n kde4-kstars
%defattr(-,root,root)
%_kde_appsdir/kstars
%_kde_bindir/indi_apogee_alta
%_kde_bindir/indi_celestron_gps
%_kde_bindir/indi_fli_ccd
%_kde_bindir/indi_fli_pdf
%_kde_bindir/indi_fli_wheel
%_kde_bindir/indi_intelliscope
%_kde_bindir/indi_lx200_16
%_kde_bindir/indi_lx200autostar
%_kde_bindir/indi_lx200basic
%_kde_bindir/indi_lx200classic
%_kde_bindir/indi_lx200generic
%_kde_bindir/indi_lx200gps
%_kde_bindir/indi_meade_lpi
%_kde_bindir/indi_orion_atlas
%_kde_bindir/indi_robofocus
%_kde_bindir/indi_sbig_ccd
%_kde_bindir/indi_sbig_stv
%_kde_bindir/indi_skycommander
%_kde_bindir/indi_temma
%_kde_bindir/indi_trutech_wheel
%_kde_bindir/indi_v4l_generic
%_kde_bindir/indi_v4l_philips
%_kde_bindir/indiserver
%_kde_bindir/kstars
%_kde_libdir/libhtmesh.a
%_kde_datadir/applications/kde4/kstars.desktop
%_kde_datadir/config.kcfg/kstars.kcfg
%_kde_datadir/config/kstars.knsrc
%_kde_docdir/HTML/*/kstars

#---------------------------------------------

%define libsbigudrv %mklibname sbigudrv 4

%package -n %libsbigudrv
Summary: KDE 4 library
Group: System/Libraries

%description -n %libsbigudrv
KDE 4 library

%post -n %libsbigudrv -p /sbin/ldconfig
%postun -n %libsbigudrv -p /sbin/ldconfig

%files -n %libsbigudrv
%defattr(-,root,root)
%_kde_libdir/libsbigudrv.so.*

#---------------------------------------------

%define libSatLib %mklibname SatLib 4

%package -n %libSatLib
Summary: KDE 4 library
Group: System/Libraries

%description -n %libSatLib
KDE 4 library

%post -n %libSatLib -p /sbin/ldconfig
%postun -n %libSatLib -p /sbin/ldconfig

%files -n %libSatLib
%defattr(-,root,root)
%_kde_libdir/libSatLib.so.*

#---------------------------------------------

%package -n kde4-ktouch
Summary: %{name} ktouch
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-ktouch < 3.93.0-0.714236.1

%description -n kde4-ktouch
%{name} ktouch.

%files -n kde4-ktouch
%defattr(-,root,root)
%_kde_appsdir/ktouch
%_kde_bindir/ktouch
%_kde_datadir/applications/kde4/ktouch.desktop
%_kde_datadir/config.kcfg/ktouch.kcfg
%_kde_docdir/HTML/*/ktouch

#---------------------------------------------

%package -n kde4-kturtle
Summary: %{name} kturtle
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kturtle < 3.93.0-0.714236.1

%description -n kde4-kturtle
%{name} kturtle.

%files -n kde4-kturtle
%defattr(-,root,root)
%_kde_bindir/kturtle
%_kde_datadir/applications/kde4/kturtle.desktop
%_kde_docdir/HTML/*/kturtle

#---------------------------------------------

%package -n kde4-parley
Summary: KDE Vocabulary training application
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kvoctrain < 3.93.0-0.714236.1
Obsoletes: kde4-kvoctrain < 3.93.0-0.714236.1 

%description -n kde4-parley
Summary: KDE Vocabulary training application

%files -n kde4-parley
%defattr(-,root,root)
%_kde_appsdir/parley
%_kde_bindir/parley
%_kde_datadir/applications/kde4/parley.desktop
%_kde_datadir/config.kcfg/parley.kcfg
%_kde_datadir/config.kcfg/languagesettings.kcfg
%_kde_datadir/config.kcfg/presettings.kcfg
%_kde_datadir/config/parley.knsrc
%_kde_docdir/HTML/*/parley

#---------------------------------------------

%package -n kde4-kwordquiz
Summary: %{name} kwordquiz
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-kwordquiz < 3.93.0-0.714236.1

%description -n kde4-kwordquiz
%{name} kwordquiz.

%files -n kde4-kwordquiz
%defattr(-,root,root)
%_kde_appsdir/kwordquiz
%_kde_bindir/kwordquiz
%_kde_datadir/applications/kde4/kwordquiz.desktop
%_kde_datadir/config.kcfg/kwordquiz.kcfg
%_kde_datadir/config/kwordquiz.knsrc

#---------------------------------------------

%define libextdate %mklibname extdate 4

%package -n %libextdate
Summary: KDE 4 library
Group: System/Libraries

%description -n %libextdate
KDE 4 library

%post -n %libextdate -p /sbin/ldconfig
%postun -n %libextdate -p /sbin/ldconfig

%files -n %libextdate
%defattr(-,root,root)
%_kde_libdir/libextdate.so.*

#---------------------------------------------

%define libscience %mklibname science 4

%package -n %libscience
Summary: KDE 4 library
Group: System/Libraries

%description -n %libscience
KDE 4 library

%post -n %libscience -p /sbin/ldconfig
%postun -n %libscience -p /sbin/ldconfig

%files -n %libscience
%defattr(-,root,root)
%_kde_libdir/libscience.so.*

#---------------------------------------------

%define libkdeeduui %mklibname kdeeduui 4

%package -n %libkdeeduui
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdeeduui
KDE 4 library

%post -n %libkdeeduui -p /sbin/ldconfig
%postun -n %libkdeeduui -p /sbin/ldconfig

%files -n %libkdeeduui
%defattr(-,root,root)
%_kde_libdir/libkdeeduui.so.*

#---------------------------------------------

%define libkeduvocdocument %mklibname keduvocdocument 4

%package -n %libkeduvocdocument
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkeduvocdocument
KDE 4 library

%post -n %libkeduvocdocument -p /sbin/ldconfig
%postun -n %libkeduvocdocument -p /sbin/ldconfig

%files -n %libkeduvocdocument
%defattr(-,root,root)
%_kde_libdir/libkeduvocdocument.so.*

#---------------------------------------------

%define libmarblewidget %mklibname marblewidget 4

%package -n %libmarblewidget
Summary: KDE 4 library
Group: System/Libraries

%description -n %libmarblewidget
KDE 4 library

%post -n %libmarblewidget -p /sbin/ldconfig
%postun -n %libmarblewidget -p /sbin/ldconfig

%files -n %libmarblewidget
%defattr(-,root,root)
%_kde_libdir/libmarblewidget.so.*

#---------------------------------------------

%package -n kde4-marble
Summary: %{name} marble
Group: Graphical desktop/KDE
Requires: %name-core = %version
Obsoletes: %name-marble < 3.93.0-0.714236.1

%description -n kde4-marble
%{name} marble.

%files -n kde4-marble
%defattr(-,root,root)
%_kde_appsdir/marble
%_kde_appsdir/marble_part
%_kde_bindir/marble
%_kde_libdir/kde4/libmarble_part.*
%_kde_datadir/config.kcfg/marble.kcfg
%_kde_datadir/applications/kde4/marble.desktop
%_kde_datadir/kde4/services/marble_part.desktop
%_kde_docdir/HTML/*/marble

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel
Requires: %libcompoundviewer = %version
Requires: %libavogadro_kalzium = %version
Requires: %libkiten = %version
Requires: %libsbigudrv = %version
Requires: %libSatLib = %version
Requires: %libextdate = %version
Requires: %libscience = %version
Requires: %libkdeeduui = %version
Requires: %libkeduvocdocument = %version
Requires: %libmarblewidget = %version

%description  devel
This package contains header files needed if you wish to build applications based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%_kde_prefix/include/*

#----------------------------------------------------------------------

%prep
%setup -q -n kdeedu-%version
%patch0 -p0 

%build
export CFLAGS="${CFLAGS} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="${CPPFLAGS} -DOCAMLIB=%_libdir/ocaml"

%cmake_kde4 

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3.93.0-0.714236.1mdv2008.0
+ Revision: 91964
- New snapshot from KDE svn
- kvoctrain was renamed as parley
- make all obsoletes entries versioned

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 709075

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.708174.1mdv2008.0
+ Revision: 79003
- Update with revision 708174

* Fri Aug 31 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.706921.1mdv2008.0
+ Revision: 77028
- Update with revision 706921
- Update with revision 706354

* Tue Aug 07 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.697083.1mdv2008.0
+ Revision: 59818
- Update to revision 697083

* Tue Jul 31 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.694397.1mdv2008.0
+ Revision: 57074
- First build of kdeedu 4. Marble enabled :-)

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25901
- new snapshot
- it compiles with enable final

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.2mdv2008.0
+ Revision: 20950
- Fix spec file
- new snapshot
- new snapshot
- Necessary for kalzium4


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.2mdv2007.1
+ Revision: 141393
- new snapshot
- new snapshot

* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.2mdv2007.1
+ Revision: 133276
- Fix spec file
- Fix spec file
- new snapshot
- 3.80.3
- new snapshot
- Fix spec file
- new snapshot
- new snapshot
- new snapshot
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 107047
- Update
- Add new buildrequires

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 104085
- Fix spec file
- Import kdeedu4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.0
- kde4

